LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
OwnLockOnDocumentRequest Exception Referencepublished

Is used for interaction handle to query user decision regarding locked document. More...

`import"OwnLockOnDocumentRequest.idl";`

Inheritance diagram for OwnLockOnDocumentRequest:

## Public Attributes
string | DocumentURL
| The URL of the locked document. More...
string | TimeInfo
| The time from which the document is locked. More...
boolean | IsStoring
| Whether the request is related to storing process. More...
Public Attributes inherited from Exception
string | Message
| gives a detailed description of the reason, why the exception was thrown. More...
com::sun::star::uno::XInterface | Context
| should contain a reference to the original, which raised the exception. More...

## Detailed Description

Is used for interaction handle to query user decision regarding locked document.

Since
  OOo 3.1

## Member Data Documentation

string DocumentURL

The URL of the locked document.

boolean IsStoring

Whether the request is related to storing process.

string TimeInfo

The time from which the document is locked.

The documentation for this exception was generated from the following file:

- com/sun/star/document/OwnLockOnDocumentRequest.idl